
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: com.dema.timeregistration.service</title>
  <style type="text/css">
    @import "../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">

<div class="breadCrumbs">
   [ <a href="../index_SORT_BY_METHOD.html">all classes</a> ]
   [ com.dema.timeregistration.service ]
</div>

<h1>Coverage Summary for Package: com.dema.timeregistration.service</h1>
<table class="coverageStats">
  <tr>
    <th class="name">Package</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
  </tr>
  <tr>
    <td class="name">com.dema.timeregistration.service</td>
<td class="coverageStat">
  <span class="percent">
    88.9%
  </span>
  <span class="absValue">
    (8/ 9)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    60.8%
  </span>
  <span class="absValue">
    (31/ 51)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.4%
  </span>
  <span class="absValue">
    (233/ 351)
  </span>
</td>
  </tr>
</table>

<br/>
<br/>

<table class="coverageStats">
  <tr>
    <th class="name  
">
<a href="index.html">Class</a>    </th>
<th class="coverageStat 
">
  <a href="index_SORT_BY_CLASS.html">Class, %</a>
</th>
<th class="coverageStat sortedAsc
">
  <a href="index_SORT_BY_METHOD_DESC.html">Method, %</a>
</th>
<th class="coverageStat 
">
  <a href="index_SORT_BY_LINE.html">Line, %</a>
</th>
  </tr>
  <tr>
    <td class="name"><a href=".classes/GenerateReportService.html">GenerateReportService</a></td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 57)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/UserContext.html">UserContext</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    40%
  </span>
  <span class="absValue">
    (2/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    50%
  </span>
  <span class="absValue">
    (5/ 10)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/UserService.html">UserService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    60%
  </span>
  <span class="absValue">
    (3/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (10/ 15)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/TaskService.html">TaskService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    60%
  </span>
  <span class="absValue">
    (3/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    79.5%
  </span>
  <span class="absValue">
    (31/ 39)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/AdministratorService.html">AdministratorService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (4/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    86.7%
  </span>
  <span class="absValue">
    (26/ 30)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/UserBookingService.html">UserBookingService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (4/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66%
  </span>
  <span class="absValue">
    (31/ 47)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/ProjectService.html">ProjectService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    71.4%
  </span>
  <span class="absValue">
    (5/ 7)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    85.2%
  </span>
  <span class="absValue">
    (52/ 61)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/TimeEntryService.html">TimeEntryService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    71.4%
  </span>
  <span class="absValue">
    (5/ 7)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    81.4%
  </span>
  <span class="absValue">
    (57/ 70)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href=".classes/UserAccessService.html">UserAccessService</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (5/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    95.5%
  </span>
  <span class="absValue">
    (21/ 22)
  </span>
</td>
  </tr>
</table>

</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
